Package de.willuhn.jameica.hbci.gui.dialogs

# Class VoPResultDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog<Boolean>
de.willuhn.jameica.hbci.gui.dialogs.VoPResultDialog

public class VoPResultDialog extends de.willuhn.jameica.gui.dialogs.AbstractDialog<Boolean>
Dialog zur Abfrage des VoP-Ergebnisses.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`VoPResultDialog(String text, org.kapott.hbci.GV_Result.GVRVoP.VoPResult result)`
ct.

## Method Summary

Modifier and Type
Method
Description
`HibiscusDBObject`
`getContext()`
Liefert den zugehoerigen Auftrag, insofern ermittelbar.
`protected Boolean`
`getData()`
`protected void`
`paint(org.eclipse.swt.widgets.Composite parent)`
`void`
`setContext(HibiscusDBObject context)`
Speichert den zugehoerigen Auftrag, insofern ermittelbar.

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, onEscape, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VoPResultDialog

public VoPResultDialog(String text, org.kapott.hbci.GV_Result.GVRVoP.VoPResult result)
ct.

Parameters:
  `text` - der von der Bank gemeldete Text.
  `result` - das Ergebnis der VoP-Prüfung.

## Method Details

### setContext

public void setContext(HibiscusDBObject context)
Speichert den zugehoerigen Auftrag, insofern ermittelbar.

Parameters:
  `context` - der zugehoerige Auftrag.

### getContext

public HibiscusDBObject getContext()
Liefert den zugehoerigen Auftrag, insofern ermittelbar.

Returns:
  transfer der zugehoerige Auftrag.

### paint

protected void paint(org.eclipse.swt.widgets.Composite parent) throws Exception

Specified by:
  `paint` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog<Boolean>`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.paint(org.eclipse.swt.widgets.Composite)`

### getData

protected Boolean getData() throws Exception

Specified by:
  `getData` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog<Boolean>`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.getData()`